Skip to main content
GET
/
v1
/
polymarket
/
recent-trades
Get Polymarket Recent Trades
curl --request GET \
  --url https://api.polyquantlab.com/v1/polymarket/recent-trades \
  --header 'Authorization: Bearer <token>'
{
  "ticker": "BTC",
  "event_type": "5m",
  "limit": 50,
  "count": 2,
  "trades": [
    {
      "ts": "2026-06-06T03:58:11+00:00",
      "market_id": "0x4a8f31...c2",
      "outcome": "Up",
      "side": "BUY_YES",
      "price": 0.82,
      "size": 100,
      "notional_usd": 82
    },
    {
      "ts": "2026-06-06T03:58:05+00:00",
      "market_id": "0x4a8f31...c2",
      "outcome": "Up",
      "side": "SELL_NO",
      "price": 0.19,
      "size": 250,
      "notional_usd": 47.5
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ticker
string
required
Examples:

"BTC"

"ETH"

"SOL"

event_type
string | null

Restrict to one timeframe.

Example:

"5m"

limit
integer
default:50
Required range: x <= 500

Response

Successful Response

ticker
enum<string>
required
Available options:
BTC,
ETH,
SOL
event_type
enum<string>
required
Available options:
5m,
15m,
1h,
4h,
daily_up_down
limit
integer<int64>
required
count
integer<int64>
required
trades
object[]
required